
//Sie wollten sich anschauen,          /* Testat 4: Strukturen und Funktionen */
//wie diese programm funktionieren
//kann                               /* Name, Vorname, Seminargruppe, Platz */
                                //Freese, Philipp,     PH06,    13
/* Schreiben Sie ein Programm, das zu der Datenstruktur 'wein' mit Name,
Jahrgang, Bestand und Preis folgendes Menü bereitstellt und mit Hilfe von
Funktionen (ohne globale Variablen) realisiert:
     * einen neuen Wein erfassen,
     * alle Daten als Tabelle auflisten und
     * den Gesamtwert des gelagerten Weins liefern.
------------------------------------------------------------------------------*/
#include <stdlib.h>
#define max 100

struct twein
{ char name[8];
  int jahr;
  int bestand;
  float preis;
};
void erfassen( int i)
{  struct twein x[max];
   printf("\n name:"); scanf("%s",x[i].name);
   printf("\n jahr:"); scanf("%i",&x[i].jahr);
   printf("\n bestand:"); scanf("%i",&x[i].bestand);
   printf("\n preis:"); scanf("%f",&x[i].preis);
};

void tab ( int z)
{ struct twein y[max]; int i;
  printf ("\n name      jahrgang     bestand     preis\n\n");
  for (i=0; i<z; i++)
printf("\n %s     %i     %i    %f",y[i].name,y[i].jahr,y[i].bestand,y[i].preis);
}

void wert ( int z)
{ struct twein a[max]; int i; float w; w=0;
 for (i=0; i<z; i++)
  { w= w+ a[i].bestand* a[i].preis;
  }
  printf ("Gesamtwert: %.2f",w) ;
}

int main()
{     int menu,z;        menu=0;z=0;
      while (menu!=4)
      {  printf("\n  1 - neuen Wein erfassen\n");
         printf("  2 - alle Daten als Tabelle auflisten\n");
         printf("  3 - Gesamtwert des gelagerten Weins liefern\n");
         printf("  4 - Abbruch\n"); printf("\n  ");
         scanf ("%i",&menu);

         if (menu==1)       {erfassen(z);z=z++;}
         if (menu==2) tab(z);
         if (menu==3) wert(z);

      };
      printf("\n\n\n"); system("PAUSE");
      return 0;
}
